<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Mfu Library Q&A</title>

  <link rel="stylesheet" href="webboard-admin.component.scss">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

</head>
<body>

    <header>
      <nav>
        <div class="container">
          <div class="nav-grid">
          <div class="logo">
            <img alt="MFU LIBRARY LOGO" src="/assets/picproject/Logo.png">
          </div>
          <div class="fr">
            <ul class="menu">
              <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/home']">Q&A Home</a></li>
              <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/home']">Admin Home</a></li>
              <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/webboard']">Webboard</a></li>
              <li><i class="fa fa-users"></i><a [routerLink]="['/admin/user']">Admin list</a></li>
              <li><i class="fas fa-sign-out-alt"></i><a (click)="logout()">Logout</a></li>
            </ul>
          </div>
          </div>
        </div>
      </nav>
    </header>

    <section class="content">
      <div class="container">
        <div class="content-heading">
          <h1>Webboard Management</h1>
        </div>

        <div class="content-services">
          <div class="content-services-table">

            <table class="table table-borderless" >
              <thead class="table-heading">
                <tr>
                  <th class="id">ID</th>
                  <th class="question1">คำถามที่ยังไม่ได้ตอบ</th>
                  <th class="detail">Detail</th>
                </tr>
              </thead>
              <tbody class="table-body"> 
                <tr *ngFor="let webboard of notAnswers">
                  <td class="id">{{webboard.id}}</td>
                  <td [innerHTML]="webboard.question" class="question">{{webboard.question}}</td>
                  <td class="aligncenter"><a [routerLink]="['/admin/webboard/addAnswer/', webboard.id]"><i class="far fa-arrow-alt-circle-right"></i></a></td> 
                </tr>
              </tbody>
            </table>

            <table class="table table-borderless" >
              <thead class="table-heading">
                <tr>
                  <th class="id">ID</th>
                  <th class="question2">คำถามที่ตอบแล้ว Not Public</th>
                  <th class="detail">Detail</th>
                </tr>
              </thead>
              <tbody class="table-body">
                <tr *ngFor="let webboard of answer_notPublics">
                  <td class="alignleft">{{webboard.id}}</td>
                  <td [innerHTML]="webboard.question" class="question">{{webboard.question}}</td>
                  <td class="aligncenter"><a [routerLink]="['/admin/webboard/addAnswer/', webboard.id]"><i class="far fa-arrow-alt-circle-right"></i></a></td> 
                </tr>
              </tbody>
            </table>

            
              <table class="table table-borderless" >
                <thead class="table-heading">
                  <tr>
                    <th class="id">ID</th>
                    <th class="question3">คำถามที่ตอบแล้ว Public</th>
                    <th class="detail">Detail</th>
                  </tr>
                </thead>
                <tbody class="table-body">
                  <tr *ngFor="let webboard of publics">
                    <td class="alignleft">{{webboard.id}}</td>
                    <td [innerHTML]="webboard.question" class="question">{{webboard.question}}</td>
                    <td class="aligncenter"><a [routerLink]="['/admin/webboard/addAnswer/', webboard.id]"><i class="far fa-arrow-alt-circle-right"></i></a></td> 
                  </tr>
              </tbody>
              </table>
          

          
          </div>

          <!-- <div class = "row">
          <div class = "col-4">
            <p>ยังไม่ได้ตอบ</p>
          </div>
          <div class = "col-4">
            <p>ตอบแล้วไม่โชว์</p>
          </div>          
          <div class = "col-4">
            <p>ตอบแล้วโชว์</p>
          </div>

          </div> -->

          <!-- <div class = "content">
          <div class="col-4" >
            <table class="table table-borderless" >
              <thead class="table-heading">
                <tr>
                  <th scope="col" class="aligncenter">ID</th>
                  <th scope="col" class="aligncenter">Question</th>
                  <th scope="col" class="aligncenter">Detail</th>
                </tr>
              </thead>
              <tbody class="table-body">
                <tr *ngFor="let webboard of notAnswers">
                  <td class="alignleft">{{webboard.id}}</td>
                  <td [innerHTML]="webboard.question" class="question">{{webboard.question}}</td>
                  <td class="aligncenter"><a [routerLink]="['/admin/webboard/addAnswer/', webboard.id]"><i class="far fa-arrow-alt-circle-right"></i></a></td> 
                </tr>
              </tbody>
            </table>
          </div>

          <div class="col-4" >
            <table class="table table-borderless" >
              <thead class="table-heading">
                <tr>
                  <th scope="col" class="aligncenter">ID</th>
                  <th scope="col" class="aligncenter">Question</th>
                  <th scope="col" class="aligncenter">Detail</th>
                </tr>
              </thead>
              <tbody class="table-body">
                <tr *ngFor="let webboard of answer_notPublics">
                  <td class="alignleft">{{webboard.id}}</td>
                  <td class="question">{{webboard.question}}</td>
                  <td class="aligncenter"><a [routerLink]="['/admin/webboard/addAnswer/', webboard.id]"><i class="far fa-arrow-alt-circle-right"></i></a></td> 
                </tr>
              </tbody>
            </table>
          </div>

          <div class="col-4" >
            <table class="table table-borderless" >
              <thead class="table-heading">
                <tr>
                  <th scope="col" class="aligncenter">ID</th>
                  <th scope="col" class="aligncenter">Question</th>
                  <th scope="col" class="aligncenter">Detail</th>
                </tr>
              </thead>
              <tbody class="table-body">
                <tr *ngFor="let webboard of publics">
                  <td class="alignleft">{{webboard.id}}</td>
                  <td class="question">{{webboard.question}}</td>
                  <td class="aligncenter"><a [routerLink]="['/admin/webboard/addAnswer/', webboard.id]"><i class="far fa-arrow-alt-circle-right"></i></a></td> 
                </tr>
              </tbody>
            </table>
          </div>
        </div> -->

        </div>
      </div>
    </section>

</body>
</html>


  
  
  
  
  
  
  
  
  
  
  
  
  
       
  
  
  